package com.yihu.wlyy.entity.message;

import com.yihu.wlyy.entity.IdEntity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 手机短信
 *
 * @author George
 */
@Entity
@Table(name = "wlyy_sms")
public class SMS extends IdEntity {
    private static final long serialVersionUID = -1438212901585781994L;

    private String mobile;// 手机号
    private String ip;// ip地址
    private Integer type;// 消息类型：1微信端注册，2微信端找回密码，3医生端找回密码，4患者登录，5医生登录
    private String captcha;// 验证码
    private String content;// 消息内容
    private Date deadline;// 过期时间
    private Integer status;// 状态，0未发送，1已发送
    private Date czrq;

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getCaptcha() {
        return captcha;
    }

    public void setCaptcha(String captcha) {
        this.captcha = captcha;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Date getDeadline() {
        return deadline;
    }

    public void setDeadline(Date deadline) {
        this.deadline = deadline;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

}
